Subject: Re: [PATCH] rev-parse: include HEAD in --all output

From: Max Kirillov <[email-masked]>
Date: Wed, 3 Sep 2014 19:18:56 +0300

On Tue, Sep 02, 2014 at 09:59:17AM -0700, Junio C Hamano wrote:
> 
> I would rather see "rev-parse --all" not to include HEAD,
> especially if it has been documented that way.

Ok, then probably I'll want to change it in gitk.

But, with the "multiple working trees" feature, I would also
want to get other HEADs in view, even if they are detached.
I could add it to --all when it returns detached HEAD (like
in git-rev-list), but if it does not, probably some
new dedicated option should be for that purpose. Something
like "git rev-parse --heads", for example.

-- 
Max